What are the minimum system requirements of Isabel 6?

Document ID: 2294
Modified: 09/10/2019

Answer:

You are strongly advised to check the minimum requirements before installing the Isabel Security Components and to take the necessary precautions.

System requirements

Only the last 3 versions of the browser are supported

  • Adobe PDF Reader 9 or higher.

  • Free disk space:
    • 50 MB for the Isabel Security Components.
    • 220 MB for the base installation of the optional module Isabel Offline Reporting. Additional space will be required to store offline reporting data locally.
  • Processor: Minimum: Intel Pentium 4 - 2,4 GHz processor or AMD-equivalent.

  • Memory: Minimum 1 GB RAM.


Additional requirements

  • Card reader: You need an Isabel card reader with numeric keypad: New users will receive one for free in their welcome package, existing users can order one.
  • Isabel SmartCard: New users will receive an Isabel SmartCard in their welcome package.
  • Screen resolution: Minimum 1280 x 768 pixels.
  • Internet connection: Check your firewall and proxy settings.
  • Administrator rights: You need administrator rights to install the Isabel Security Components.

More information:

Optimal browser configuration for Internet Explorer

To ensure Isabel 6 performs at its best for you, we recommend you modify some of your Internet Explorer Options:

  1. Choose the Tools menu in your browser Internet Explorer and choose Internet Options.
  2. Choose the last tab sheet Advanced.
  3. Scroll down to the section Security:
    1. Disable the option Do not save encrypted pages to disk 
    2. Disable the option Empty Temporary Internet Files folder when browser is closed
    3. Enable the option TLS 1.0, TLS 1.1, TLS 1.2
  4. Scroll down to the section HTTP 1.1 settings:
    1. Enable the option Use HTTP 1.1
    2. Enable the option Use HTTP 1.1 through proxy connections
  5. Click OK.
Compatibility with accounting / ERP software packages using the Isabel Go module (Windows)

If you use an accounting / ERP software package that utilizes the Isabel Go module, please be cautious when installing the Isabel Security Components or any updates thereof, as certain accounting / ERP software packages support only the 32-bit version of the Isabel Security Components.

Is Isabel 6 compatible with other operating systems (e.g. Windows RT, Linux), Remote Desktop services or Virtualization solutions (e.g. Citrix)?

The Isabel Security Components are designed to run natively & exclusively on supported Windows & Mac systems. Isabel does not support deviant / alternative environments, such as:

  • Virtualization solutions (e.g. Citrix XenApp, Parallels, VMware, VirtualBox)
  • Remote Desktop services (e.g. VNC, Thin Client, Terminal Services)
  • Cloud services (e.g. Microsoft Azure, Amazon Web Services AWS, Google Cloud Platform)
  • Operating systems other than the supported versions of Windows & macOS (e.g. Windows Server, Windows RT, Linux)

If you (attempt to) use the Isabel 6 application in such environments, you do so at your own risk. We can not offer support for these environments.

What are the minimum system requirements of Isabel 6?
2294
09/10/2019